teknoraver / rpms / rpm

Forked from rpms/rpm 4 months ago
Clone

Blame 0014-Add-option-to-have-unique-debug-source-dirs-across-v.patch

Igor Gnatenko 082d5d
From 0febf191cc874a822f045c24587d412e4d0ec33c Mon Sep 17 00:00:00 2001
Panu Matilainen 5b4d98
From: Mark Wielaard <mark@klomp.org>
Igor Gnatenko 082d5d
Date: Tue, 28 Feb 2017 21:34:34 +0100
Mark Wielaard 284dc3
Subject: [PATCH] Add option to have unique debug source dirs across
Panu Matilainen 5b4d98
 version/release/arch.
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
Introduce a new macro _unique_debug_srcs that when set will pass
Panu Matilainen 5b4d98
--unique-debug-src-base "%{name}" to find-debuginfo.sh which will
Panu Matilainen 5b4d98
move sources into a unique "<name>-<ver>-<rel>.<arch>" directory
Panu Matilainen 5b4d98
under /usr/src/debug/ and makes debugedit rewrite the source paths
Panu Matilainen 5b4d98
in the debuginfo to use that unique directory name.
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
Traditionally the debug src dir was named after the builddir which
Panu Matilainen 5b4d98
was defined through the %setup macro which used the -n name argument
Panu Matilainen 5b4d98
to define the builddir name and source archive to use. The builddir
Panu Matilainen 5b4d98
might not be unique though between package versions.
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
Now that debugedit doesn't have strict base and dest dir length
Panu Matilainen 5b4d98
restrictions for rewriting the source dir paths this can now be made
Panu Matilainen 5b4d98
more flexible.
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
The added testcases show the difference between the old and new way.
Panu Matilainen 5b4d98
The hello2.spec file defines the name of the package as hello2, but
Panu Matilainen 5b4d98
uses the %setup marcro with -n hello-1.0 to use the hello-1.0.tar.gz
Panu Matilainen 5b4d98
archive. This would traditionally result in a hello-1.0 builddir
Panu Matilainen 5b4d98
which would be moved under /usr/src/debug. Possibly conflicting
Panu Matilainen 5b4d98
with any other package (version) that used the same builddir name.
Panu Matilainen 5b4d98
When defining _unique_debug_srcs to 1 that builddir will be moved
Panu Matilainen 5b4d98
to <name>-<ver>-<rel>.<arch> instead (hello2-1.0-1.<arch>).
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
The testcases check that both the actual package source filess under
Panu Matilainen 5b4d98
/usr/debug/src/ and the source paths as found in the .debug files are
Panu Matilainen 5b4d98
under the traditional or new unique directory names depending on whether
Panu Matilainen 5b4d98
the new _unique_debug_srcs macro is defined.
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
Signed-off-by: Mark Wielaard <mark@klomp.org>
Igor Gnatenko 082d5d
(cherry picked from commit b32e980611c45a46e95fa8864b6faf0c0d732ddb)
Igor Gnatenko 082d5d
Igor Gnatenko 082d5d
Conflicts:
Igor Gnatenko 082d5d
	macros.in
Igor Gnatenko 082d5d
	scripts/find-debuginfo.sh
Panu Matilainen 5b4d98
---
Panu Matilainen 5b4d98
 macros.in                 |  8 ++++-
Panu Matilainen 5b4d98
 scripts/find-debuginfo.sh | 35 ++++++++++++++++++---
Panu Matilainen 5b4d98
 tests/rpmbuild.at         | 80 +++++++++++++++++++++++++++++++++++++++++++++++
Panu Matilainen 5b4d98
 tests/rpmbuildid.at       |  5 +++
Panu Matilainen 5b4d98
 4 files changed, 123 insertions(+), 5 deletions(-)
Panu Matilainen 5b4d98
Panu Matilainen 5b4d98
diff --git a/macros.in b/macros.in
Igor Gnatenko 082d5d
index 4d9028254..e48ef60c8 100644
Panu Matilainen 5b4d98
--- a/macros.in
Panu Matilainen 5b4d98
+++ b/macros.in
Panu Matilainen 5b4d98
@@ -180,7 +180,7 @@
Panu Matilainen 5b4d98
 #	the script.  See the script for details.
Panu Matilainen 5b4d98
 #
Panu Matilainen 5b4d98
 %__debug_install_post   \
Panu Matilainen 5b4d98
-   %{_rpmconfigdir}/find-debuginfo.sh %{?_missing_build_ids_terminate_build:--strict-build-id} %{?_include_minidebuginfo:-m} %{?_include_gdb_index:-i} %{?_unique_build_ids:--ver-rel "%{VERSION}-%{RELEASE}"} %{?_unique_debug_names:--unique-debug-arch "%{_arch}"} %{?_find_debuginfo_dwz_opts} %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}"\
Panu Matilainen 5b4d98
+   %{_rpmconfigdir}/find-debuginfo.sh %{?_missing_build_ids_terminate_build:--strict-build-id} %{?_include_minidebuginfo:-m} %{?_include_gdb_index:-i} %{?_unique_build_ids:--ver-rel "%{VERSION}-%{RELEASE}"} %{?_unique_debug_names:--unique-debug-arch "%{_arch}"} %{?_unique_debug_srcs:--unique-debug-src-base "%{name}"} %{?_find_debuginfo_dwz_opts} %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}"\
Panu Matilainen 5b4d98
 %{nil}
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 #	Template for debug information sub-package.
Panu Matilainen 5b4d98
@@ -495,6 +495,12 @@ package or when debugging this package.\
Panu Matilainen 5b4d98
 # Requires _unique_build_ids.
Panu Matilainen 5b4d98
 %_unique_debug_names	1
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
+# Whether the /usr/debug/src/<package> directories should be unique between
Panu Matilainen 5b4d98
+# package version, release and architecture. If set to 1 this will pass
Panu Matilainen 5b4d98
+# --unique-debug-src-base "%{name}" to find-debuginfo.sh to name the
Panu Matilainen 5b4d98
+# directory under /usr/debug/src as <name>-<ver>-<rel>.<arch>
Panu Matilainen 5b4d98
+%_unique_debug_srcs	1
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
 #
Panu Matilainen 5b4d98
 # Use internal dependency generator rather than external helpers?
Panu Matilainen 5b4d98
 %_use_internal_dependency_generator	1
Panu Matilainen 5b4d98
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
Igor Gnatenko 082d5d
index 3653c4848..1420ef6cd 100644
Panu Matilainen 5b4d98
--- a/scripts/find-debuginfo.sh
Panu Matilainen 5b4d98
+++ b/scripts/find-debuginfo.sh
Panu Matilainen 5b4d98
@@ -67,6 +67,9 @@ ver_rel=
Panu Matilainen 5b4d98
 # Arch given by --unique-debug-arch
Panu Matilainen 5b4d98
 unique_debug_arch=
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
+# Base given by --unique-debug-src-base
Panu Matilainen 5b4d98
+unique_debug_src_base=
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
 BUILDDIR=.
Panu Matilainen 5b4d98
 out=debugfiles.list
Panu Matilainen 5b4d98
 nout=0
Panu Matilainen 5b4d98
@@ -94,6 +97,10 @@ while [ $# -gt 0 ]; do
Panu Matilainen 5b4d98
     unique_debug_arch=$2
Panu Matilainen 5b4d98
     shift
Panu Matilainen 5b4d98
     ;;
Panu Matilainen 5b4d98
+  --unique-debug-src-base)
Panu Matilainen 5b4d98
+    unique_debug_src_base=$2
Panu Matilainen 5b4d98
+    shift
Panu Matilainen 5b4d98
+    ;;
Panu Matilainen 5b4d98
   -g)
Panu Matilainen 5b4d98
     strip_g=true
Panu Matilainen 5b4d98
     ;;
Panu Matilainen 5b4d98
@@ -137,6 +144,11 @@ if test -z "$ver_rel" -a -n "$unique_debug_arch"; then
Panu Matilainen 5b4d98
   exit 2
Panu Matilainen 5b4d98
 fi
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
+if test -z "$unique_debug_arch" -a -n "$unique_debug_src_base"; then
Panu Matilainen 5b4d98
+  echo >&2 "*** ERROR: --unique-debug-src-base (${unique_debug_src_base}) needs --unique-debug-arch (${unique_debug_arch})"
Panu Matilainen 5b4d98
+  exit 2
Panu Matilainen 5b4d98
+fi
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
 i=0
Panu Matilainen 5b4d98
 while ((i < nout)); do
Panu Matilainen 5b4d98
   outs[$i]="$BUILDDIR/${outs[$i]}"
Panu Matilainen 5b4d98
@@ -291,7 +303,14 @@ while read nlinks inum f; do
Panu Matilainen 5b4d98
   if [ ! -z "$ver_rel" ]; then
Panu Matilainen 5b4d98
     build_id_seed="--build-id-seed=$ver_rel"
Panu Matilainen 5b4d98
   fi
Panu Matilainen 5b4d98
-  id=$(${lib_rpm_dir}/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug \
Panu Matilainen 5b4d98
+  # See also cpio SOURCEFILE copy. Directories must match up.
Panu Matilainen 5b4d98
+  debug_base_name="$RPM_BUILD_DIR"
Panu Matilainen 5b4d98
+  debug_dest_name="/usr/src/debug"
Panu Matilainen 5b4d98
+  if [ ! -z "$unique_debug_src_base" ]; then
Panu Matilainen 5b4d98
+    debug_base_name="$BUILDDIR"
Panu Matilainen 5b4d98
+    debug_dest_name="/usr/src/debug/${unique_debug_src_base}-${ver_rel}.${unique_debug_arch}"
Panu Matilainen 5b4d98
+  fi
Panu Matilainen 5b4d98
+  id=$(${lib_rpm_dir}/debugedit -b $debug_base_name -d $debug_dest_name \
Panu Matilainen 5b4d98
 			      -i $build_id_seed -l "$SOURCEFILE" "$f") || exit
Panu Matilainen 5b4d98
   if [ $nlinks -gt 1 ]; then
Panu Matilainen 5b4d98
     eval linkedid_$inum=\$id
Panu Matilainen 5b4d98
@@ -388,11 +407,19 @@ do
Panu Matilainen 5b4d98
 done
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 if [ -s "$SOURCEFILE" ]; then
Panu Matilainen 5b4d98
-  mkdir -p "${RPM_BUILD_ROOT}/usr/src/debug"
Panu Matilainen 5b4d98
+  # See also debugedit invocation. Directories must match up.
Panu Matilainen 5b4d98
+  debug_base_name="$RPM_BUILD_DIR"
Panu Matilainen 5b4d98
+  debug_dest_name="/usr/src/debug"
Panu Matilainen 5b4d98
+  if [ ! -z "$unique_debug_src_base" ]; then
Panu Matilainen 5b4d98
+    debug_base_name="$BUILDDIR"
Panu Matilainen 5b4d98
+    debug_dest_name="/usr/src/debug/${unique_debug_src_base}-${ver_rel}.${unique_debug_arch}"
Panu Matilainen 5b4d98
+  fi
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+  mkdir -p "${RPM_BUILD_ROOT}${debug_dest_name}"
Panu Matilainen 5b4d98
   LC_ALL=C sort -z -u "$SOURCEFILE" | grep -E -v -z '(<internal>|<built-in>)$' |
Panu Matilainen 5b4d98
-  (cd "$RPM_BUILD_DIR"; cpio -pd0mL "${RPM_BUILD_ROOT}/usr/src/debug")
Panu Matilainen 5b4d98
+  (cd "${debug_base_name}"; cpio -pd0mL "${RPM_BUILD_ROOT}${debug_dest_name}")
Panu Matilainen 5b4d98
   # stupid cpio creates new directories in mode 0700, fixup
Panu Matilainen 5b4d98
-  find "${RPM_BUILD_ROOT}/usr/src/debug" -type d -print0 |
Panu Matilainen 5b4d98
+  find "${RPM_BUILD_ROOT}${debug_dest_name}" -type d -print0 |
Panu Matilainen 5b4d98
   xargs --no-run-if-empty -0 chmod a+rx
Panu Matilainen 5b4d98
 fi
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
diff --git a/tests/rpmbuild.at b/tests/rpmbuild.at
Igor Gnatenko 082d5d
index 0a2c01efe..a46822f52 100644
Panu Matilainen 5b4d98
--- a/tests/rpmbuild.at
Panu Matilainen 5b4d98
+++ b/tests/rpmbuild.at
Panu Matilainen 5b4d98
@@ -399,6 +399,7 @@ run rpmbuild --quiet \
Panu Matilainen 5b4d98
   --macros=${abs_top_builddir}/macros:${abs_top_builddir}/tests/testing/usr/local/lib/rpm/platform/%{_target_cpu}-%{_target_os}/macros:${top_srcdir}/macros.debug \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --undefine "_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine "_unique_debug_srcs" \
Panu Matilainen 5b4d98
   -ba "${abs_srcdir}"/data/SPECS/hello2.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 # The debuginfo package should contain a .debug file for each binary
Panu Matilainen 5b4d98
@@ -701,3 +702,82 @@ readelf -S ./usr/lib/debug/usr/local/bin/hello2*.debug \
Panu Matilainen 5b4d98
 [],
Panu Matilainen 5b4d98
 [ignore])
Panu Matilainen 5b4d98
 AT_CLEANUP
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# ------------------------------
Panu Matilainen 5b4d98
+# Check that a debug source is in a "unique" directory when requested.
Panu Matilainen 5b4d98
+AT_SETUP([rpmbuild debuginfo unique debug src dir])
Panu Matilainen 5b4d98
+AT_KEYWORDS([build] [debuginfo])
Panu Matilainen 5b4d98
+AT_CHECK([
Panu Matilainen 5b4d98
+rm -rf ${TOPDIR}
Panu Matilainen 5b4d98
+AS_MKDIR_P(${TOPDIR}/SOURCES)
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Build a package that has some debuginfo
Panu Matilainen 5b4d98
+cp "${abs_srcdir}"/data/SOURCES/hello-1.0.tar.gz "${abs_srcdir}"/data/SOURCES/hello-1.0-modernize.patch ${TOPDIR}/SOURCES
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Note that the spec defines hello2 as name, but the source is hello-1.0.
Panu Matilainen 5b4d98
+# Disable dwz to make debuginfo path rewrite checking easier.
Panu Matilainen 5b4d98
+run rpmbuild --quiet \
Panu Matilainen 5b4d98
+  --macros=${abs_top_builddir}/macros:${abs_top_builddir}/tests/testing/usr/local/lib/rpm/platform/%{_target_cpu}-%{_target_os}/macros:${top_srcdir}/macros.debug \
Panu Matilainen 5b4d98
+  --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
+  --undefine "_find_debuginfo_dwz_opts" \
Panu Matilainen 5b4d98
+  --define "_unique_debug_srcs 1" \
Panu Matilainen 5b4d98
+  -ba "${abs_srcdir}"/data/SPECS/hello2.spec
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Unpack the debuginfo rpms so we can check the .debug files.
Panu Matilainen 5b4d98
+rpm2cpio ${abs_builddir}/testing/build/RPMS/*/hello2-debuginfo-1.0-1.*.rpm \
Panu Matilainen 5b4d98
+  | cpio -diu --quiet
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Check that the source path is "unique"
Panu Matilainen 5b4d98
+# Drop the final arch prefix to make the test arch-independent.
Panu Matilainen 5b4d98
+ls ./usr/src/debug/ | cut -f1,2 -d\.
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Check that the source path has been rewritten in the .debug file.
Panu Matilainen 5b4d98
+# Drop the final arch prefix to make the test arch-independent.
Panu Matilainen 5b4d98
+readelf --debug-dump=info ./usr/lib/debug/usr/local/bin/hello2*.debug \
Panu Matilainen 5b4d98
+  | grep comp_dir | cut -f5- -d/ | cut -f1,2 -d\.
Panu Matilainen 5b4d98
+],
Panu Matilainen 5b4d98
+[0],
Panu Matilainen 5b4d98
+[hello2-1.0-1
Panu Matilainen 5b4d98
+hello2-1.0-1
Panu Matilainen 5b4d98
+],
Panu Matilainen 5b4d98
+[ignore])
Panu Matilainen 5b4d98
+AT_CLEANUP
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# ------------------------------
Panu Matilainen 5b4d98
+# Check that a debug source is NOT in a "unique" directory when not requested.
Panu Matilainen 5b4d98
+# It will be in the "build directory" name under /usr/src/debug.
Panu Matilainen 5b4d98
+AT_SETUP([rpmbuild debuginfo no unique debug src dir])
Panu Matilainen 5b4d98
+AT_KEYWORDS([build] [debuginfo])
Panu Matilainen 5b4d98
+AT_CHECK([
Panu Matilainen 5b4d98
+rm -rf ${TOPDIR}
Panu Matilainen 5b4d98
+AS_MKDIR_P(${TOPDIR}/SOURCES)
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Build a package that has some debuginfo
Panu Matilainen 5b4d98
+cp "${abs_srcdir}"/data/SOURCES/hello-1.0.tar.gz "${abs_srcdir}"/data/SOURCES/hello-1.0-modernize.patch ${TOPDIR}/SOURCES
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Note that the spec defines hello2 as name, but the source is hello-1.0.
Panu Matilainen 5b4d98
+# Disable dwz to make debuginfo path rewrite checking easier.
Panu Matilainen 5b4d98
+run rpmbuild --quiet \
Panu Matilainen 5b4d98
+  --macros=${abs_top_builddir}/macros:${abs_top_builddir}/tests/testing/usr/local/lib/rpm/platform/%{_target_cpu}-%{_target_os}/macros:${top_srcdir}/macros.debug \
Panu Matilainen 5b4d98
+  --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
+  --undefine "_find_debuginfo_dwz_opts" \
Panu Matilainen 5b4d98
+  --undefine "_unique_debug_srcs" \
Panu Matilainen 5b4d98
+  -ba "${abs_srcdir}"/data/SPECS/hello2.spec
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Unpack the debuginfo rpms so we can check the .debug files.
Panu Matilainen 5b4d98
+rpm2cpio ${abs_builddir}/testing/build/RPMS/*/hello2-debuginfo-1.0-1.*.rpm \
Panu Matilainen 5b4d98
+  | cpio -diu --quiet
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Check that the source path is "unique"
Panu Matilainen 5b4d98
+ls ./usr/src/debug/
Panu Matilainen 5b4d98
+
Panu Matilainen 5b4d98
+# Check that the source path has been rewritten in the .debug file.
Panu Matilainen 5b4d98
+readelf --debug-dump=info ./usr/lib/debug/usr/local/bin/hello2*.debug \
Panu Matilainen 5b4d98
+  | grep comp_dir | cut -f5- -d/
Panu Matilainen 5b4d98
+],
Panu Matilainen 5b4d98
+[0],
Panu Matilainen 5b4d98
+[hello-1.0
Panu Matilainen 5b4d98
+hello-1.0
Panu Matilainen 5b4d98
+],
Panu Matilainen 5b4d98
+[ignore])
Panu Matilainen 5b4d98
+AT_CLEANUP
Panu Matilainen 5b4d98
diff --git a/tests/rpmbuildid.at b/tests/rpmbuildid.at
Igor Gnatenko 082d5d
index ede1181e1..15c06202f 100644
Panu Matilainen 5b4d98
--- a/tests/rpmbuildid.at
Panu Matilainen 5b4d98
+++ b/tests/rpmbuildid.at
Panu Matilainen 5b4d98
@@ -71,6 +71,7 @@ run rpmbuild \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --define="_build_id_links alldebug" \
Panu Matilainen 5b4d98
   --undefine "_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine "_unique_debug_srcs" \
Panu Matilainen 5b4d98
   --quiet -ba "${abs_srcdir}"/data/SPECS/hello.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 # There should be zero build-id files in the main package
Panu Matilainen 5b4d98
@@ -257,6 +258,7 @@ run rpmbuild \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --define="_build_id_links separate" \
Panu Matilainen 5b4d98
   --undefine "_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine "_unique_debug_srcs" \
Panu Matilainen 5b4d98
   --quiet -ba "${abs_srcdir}"/data/SPECS/hello.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 # There should be one build-id files in the main and debuginfo package
Panu Matilainen 5b4d98
@@ -441,6 +443,7 @@ run rpmbuild \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --define="_build_id_links compat" \
Panu Matilainen 5b4d98
   --undefine "_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine "_unique_debug_srcs" \
Panu Matilainen 5b4d98
   --quiet -ba "${abs_srcdir}"/data/SPECS/hello.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 # There should be one build-id files in the main and debuginfo package.
Panu Matilainen 5b4d98
@@ -1125,6 +1128,7 @@ run rpmbuild --quiet \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --undefine="_unique_build_ids" \
Panu Matilainen 5b4d98
   --undefine="_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine="_unique_debug_srcs" \
Panu Matilainen 5b4d98
   -ba "${abs_srcdir}"/data/SPECS/hello.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 rpm2cpio ${abs_builddir}/testing/build/RPMS/*/hello-1.0-1.*.rpm \
Panu Matilainen 5b4d98
@@ -1145,6 +1149,7 @@ run rpmbuild --quiet \
Panu Matilainen 5b4d98
   --rcfile=${abs_top_builddir}/rpmrc \
Panu Matilainen 5b4d98
   --undefine="_unique_build_ids" \
Panu Matilainen 5b4d98
   --undefine="_unique_debug_names" \
Panu Matilainen 5b4d98
+  --undefine="_unique_debug_srcs" \
Panu Matilainen 5b4d98
   -ba "${abs_srcdir}"/data/SPECS/hello-r2.spec
Panu Matilainen 5b4d98
 
Panu Matilainen 5b4d98
 rpm2cpio ${abs_builddir}/testing/build/RPMS/*/hello-1.0-2.*.rpm \